# DataExchange
TKIGES
IGESSolid

# IGESSolid_ToroidalSurface Class Reference

defines ToroidalSurface, Type <198> Form Number <0,1>
in package IGESSolid
This entity is defined by the center point, the axis
direction and the major and minor radii. In case of
parametrised surface a reference direction is provided.

`#include <IGESSolid_ToroidalSurface.hxx>`

Inheritance diagram for IGESSolid_ToroidalSurface:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_ToroidalSurface ()
Standard_EXPORT void | Init (const Handle(IGESGeom_Point)&aCenter, const Handle(IGESGeom_Direction)&anAxis, const Standard_Real majRadius, const Standard_Real minRadius, const Handle(IGESGeom_Direction)&Refdir)
| This method is used to set the fields of the class ToroidalSurface - aCenter : the center point coordinates - anAxis : the direction of the axis - majRadius : the major radius - minRadius : the minor radius - Refdir : the reference direction (parametrised) default Null for unparametrised surface .
Standard_EXPORT Handle_IGESGeom_Point | Center () const
| returns the center point coordinates of the surface
Standard_EXPORT gp_Pnt | TransformedCenter () const
| returns the center point coordinates of the surface after applying TransformationMatrix
Standard_EXPORT Handle_IGESGeom_Direction | Axis () const
| returns the direction of the axis
Standard_EXPORT Standard_Real | MajorRadius () const
| returns the major radius of the surface
Standard_EXPORT Standard_Real | MinorRadius () const
| returns the minor radius of the surface
Standard_EXPORT Handle_IGESGeom_Direction | ReferenceDir () const
| returns the reference direction (parametrised surface) Null is returned if the surface is not parametrised
Standard_EXPORT Standard_Boolean | IsParametrised () const
| Returns True if the surface is parametrised, else False .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESGeom_Point | theCenter
Handle_IGESGeom_Direction | theAxis
Standard_Real | theMajorRadius
Standard_Real | theMinorRadius
Handle_IGESGeom_Direction | theRefDir

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_ToroidalSurface::IGESSolid_ToroidalSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESGeom_Direction IGESSolid_ToroidalSurface::Axis | ( |  | ) | const

Standard_EXPORT Handle_IGESGeom_Point IGESSolid_ToroidalSurface::Center | ( |  | ) | const

Standard_EXPORT const IGESSolid_ToroidalSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_ToroidalSurface::Init | ( | const Handle(IGESGeom_Point)& | aCenter,
|  | const Handle(IGESGeom_Direction)& | anAxis,
|  | const Standard_Real | majRadius,
|  | const Standard_Real | minRadius,
|  | const Handle(IGESGeom_Direction)& | Refdir
| ) |

Standard_EXPORT Standard_Boolean IGESSolid_ToroidalSurface::IsParametrised | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_ToroidalSurface::MajorRadius | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_ToroidalSurface::MinorRadius | ( |  | ) | const

Standard_EXPORT Handle_IGESGeom_Direction IGESSolid_ToroidalSurface::ReferenceDir | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_ToroidalSurface::TransformedCenter | ( |  | ) | const

## Field Documentation

Handle_IGESGeom_Direction IGESSolid_ToroidalSurface::theAxis `[private]`

Handle_IGESGeom_Point IGESSolid_ToroidalSurface::theCenter `[private]`

Standard_Real IGESSolid_ToroidalSurface::theMajorRadius `[private]`

Standard_Real IGESSolid_ToroidalSurface::theMinorRadius `[private]`

Handle_IGESGeom_Direction IGESSolid_ToroidalSurface::theRefDir `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_ToroidalSurface.hxx